Debian Bug report logs - #608201
grub-installer: fails on live usb-hdd images (not on any other types)

version graph

Package: apt-setup; Maintainer for apt-setup is Debian Install System Team <debian-boot@lists.debian.org>;

Reported by: daniel@debian.org

Date: Tue, 28 Dec 2010 17:09:01 UTC

Severity: important

Tags: moreinfo, patch

Fixed in version apt-setup/1:0.53

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Tue, 28 Dec 2010 17:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 28 Dec 2010 17:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: submit@bugs.debian.org
Subject: grub-installer: fails on live usb-hdd images (not on any other types)
Date: Tue, 28 Dec 2010 18:05:02 +0100
Package: grub-installer
Severity: serious

it appears that grub-installer is unable to find grub-common and grub-pc
when being installed from an live usb-hdd image.

i checked that /cdrom is correctly mounted, and the mediums content is
also correct.

it doesn't fail if the exact same image is not an usb-hdd image but an
iso or iso-hybrid image.

see the following thread for more information:
http://lists.debian.org/debian-live/2010/12/msg00113.html

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Wed, 29 Dec 2010 11:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 29 Dec 2010 11:48:09 GMT) Full text and rfc822 format available.

Message #10 received at 608201@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: daniel@debian.org, 608201@bugs.debian.org
Subject: Re: Bug#608201: grub-installer: fails on live usb-hdd images (not on any other types)
Date: Wed, 29 Dec 2010 11:45:41 +0000
[Message part 1 (text/plain, inline)]
Hi,

Ter, 2010-12-28 às 18:05 +0100, Daniel Baumann escreveu:

I'm not sure this bug belongs to grub-installer or to live-build.

[...]

> see the following thread for more information:
> http://lists.debian.org/debian-live/2010/12/msg00113.html

[...]

from the url above, on the script lb_binary_debian_installer:

DI_REQ_PACKAGES="elilo lilo grub"

grub-pc is missing.
Can you try with the attached patch?


-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org
[grub-pc.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Wed, 29 Dec 2010 12:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 29 Dec 2010 12:09:05 GMT) Full text and rfc822 format available.

Message #15 received at 608201@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Miguel Figueiredo <elmig@debianpt.org>
Cc: 608201@bugs.debian.org
Subject: Re: Bug#608201: grub-installer: fails on live usb-hdd images (not on any other types)
Date: Wed, 29 Dec 2010 13:04:34 +0100
On 12/29/2010 12:45 PM, Miguel Figueiredo wrote:
> Can you try with the attached patch?

that's not changing anything. like i said before, a) grub-common and
grub-pc *are* on the media, and b) it's specific to usb-hdd, the code
you're looking at isn't image type specific. it must be something else.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Thu, 30 Dec 2010 05:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Zabalza <jlz.3008@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 30 Dec 2010 05:33:04 GMT) Full text and rfc822 format available.

Message #20 received at 608201@bugs.debian.org (full text, mbox):

From: Jose Luis Zabalza <jlz.3008@gmail.com>
To: Miguel Figueiredo <elmig@debianpt.org>, 608201@bugs.debian.org
Subject: Re: Bug#608201: grub-installer: fails on live usb-hdd images (not on any other types)
Date: Thu, 30 Dec 2010 06:29:17 +0100
2010/12/29 Miguel Figueiredo <elmig@debianpt.org>:
> Hi,
>
> Ter, 2010-12-28 às 18:05 +0100, Daniel Baumann escreveu:
>
> I'm not sure this bug belongs to grub-installer or to live-build.
>
> [...]
>
>> see the following thread for more information:
>> http://lists.debian.org/debian-live/2010/12/msg00113.html
>
> [...]
>
> from the url above, on the script lb_binary_debian_installer:
>
> DI_REQ_PACKAGES="elilo lilo grub"
>
> grub-pc is missing.
> Can you try with the attached patch?

I already tried, patching lb_binary_debian_installer with

			DI_REQ_PACKAGES="elilo lilo grub grub2"
			#DI_REQ_PACKAGES="elilo lilo grub"

and also fails.


As someone commented in the same thread, grub2 package is not on the
media, buy I guest is not important because grub2 package "can safety
deleted".


-- 
José Luis Zabalza
jlz.3008  a t  gmail.com
Linux Counter 172551




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Thu, 30 Dec 2010 11:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 30 Dec 2010 11:24:03 GMT) Full text and rfc822 format available.

Message #25 received at 608201@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: Jose Luis Zabalza <jlz.3008@gmail.com>
Cc: 608201@bugs.debian.org
Subject: Re: Bug#608201: grub-installer: fails on live usb-hdd images (not on any other types)
Date: Thu, 30 Dec 2010 11:20:58 +0000
Hi,

i've have looked to the attached syslog [1] on #598062 which seems to be
the same problem.
Grub-installer is not the only package that fails to being installed.
There are some errors before:

Sep 26 12:56:09 in-target: update-initramfs:
Generating /boot/initrd.img-2.6.32-5-amd64
Sep 26 12:56:09 in-target: df: Avertissement : ne peut pas lire la table
des systèmes de fichiers montés <-- df: Warning: not possible to read
the table of mounted filesystems
Sep 26 12:56:09 in-target: : Aucun fichier ou dossier de ce type


Sep 26 12:56:15 main-menu[462]: INFO: Menu item 'apt-setup-udeb'
selected
Sep 26 12:56:15 apt-setup: Repeat this process for the rest of the CDs
in your set.
Sep 26 12:56:15 kernel: [  390.370776] ISO 9660 Extensions: Microsoft
Joliet Level 3
Sep 26 12:56:15 kernel: [  390.442945] ISO 9660 Extensions: RRIP_1991A
Sep 26 12:57:50 kernel: [  485.184113] ISO 9660 Extensions: Microsoft
Joliet Level 3
Sep 26 12:57:50 kernel: [  485.253351] ISO 9660 Extensions: RRIP_1991A
Sep 26 12:57:51 kernel: [  486.333116] ISO 9660 Extensions: Microsoft
Joliet Level 3
Sep 26 12:57:51 kernel: [  486.405782] ISO 9660 Extensions: RRIP_1991A
Sep 26 13:09:25 apt-setup:
warning: /usr/lib/apt-setup/generators/50mirror returned error code 1;
discarding output


Anyone can provide an installation log (gzipped) from a recent
installation?


1 - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=598062
Qui, 2010-12-30 às 06:29 +0100, Jose Luis Zabalza escreveu:
> 2010/12/29 Miguel Figueiredo <elmig@debianpt.org>:
> > Hi,
> >
> > Ter, 2010-12-28 às 18:05 +0100, Daniel Baumann escreveu:
> >
> > I'm not sure this bug belongs to grub-installer or to live-build.
> >
> > [...]
> >
> >> see the following thread for more information:
> >> http://lists.debian.org/debian-live/2010/12/msg00113.html
> >
> > [...]
> >
> > from the url above, on the script lb_binary_debian_installer:
> >
> > DI_REQ_PACKAGES="elilo lilo grub"
> >
> > grub-pc is missing.
> > Can you try with the attached patch?
> 
> I already tried, patching lb_binary_debian_installer with
> 
> 			DI_REQ_PACKAGES="elilo lilo grub grub2"
> 			#DI_REQ_PACKAGES="elilo lilo grub"
> 
> and also fails.
> 
> 
> As someone commented in the same thread, grub2 package is not on the
> media, buy I guest is not important because grub2 package "can safety
> deleted".
> 
> 

-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Fri, 31 Dec 2010 09:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Zabalza <jlz.3008@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 31 Dec 2010 09:51:10 GMT) Full text and rfc822 format available.

Message #30 received at 608201@bugs.debian.org (full text, mbox):

From: Jose Luis Zabalza <jlz.3008@gmail.com>
To: Miguel Figueiredo <elmig@debianpt.org>
Cc: 608201@bugs.debian.org
Subject: Re: Bug#608201: grub-installer: fails on live usb-hdd images (not on any other types)
Date: Fri, 31 Dec 2010 10:49:57 +0100
[Message part 1 (text/plain, inline)]
2010/12/30 Miguel Figueiredo <elmig@debianpt.org>:
> Hi,
>
> Anyone can provide an installation log (gzipped) from a recent
> installation?
>

USB-stick created with

sudo lb config -a i386 -b usb-hdd -d squeeze --debian-installer true
--debian-installer-gui true

Date: 31-12-2010
Host system: Linux valinor 2.6.32-25-generic #44-Ubuntu SMP Fri Sep 17
20:05:27 UTC 2010 x86_64 GNU/Linux

I selected Install Text option on syslinux live-debian start menu.

I hope you have enough information about target system and
installation process on report tar.gz.

Happy new year.

-- 
José Luis Zabalza
jlz.3008  a t  gmail.com
Linux Counter 172551
[reporte.tar.gz (application/x-gzip, attachment)]

Severity set to 'important' from 'serious' Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 31 Dec 2010 19:57:06 GMT) Full text and rfc822 format available.

Forcibly Merged 598130 599392 608201. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 31 Dec 2010 19:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Sat, 01 Jan 2011 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 01 Jan 2011 21:24:03 GMT) Full text and rfc822 format available.

Message #39 received at 608201@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 608201@bugs.debian.org
Subject: Re: grub-installer: fails on live usb-hdd images (not on any other types)
Date: Sat, 01 Jan 2011 22:20:39 +0100
severity 608201 serious
thanks

Miguel Figueiredo <elmig@debianpt.org> wrote:
> adjusting severity to important as doesn't render the package unusable
> to everyone.

right, but it breaks live usb-hdd images *completely* and renders them
both useless and unreleasable. restoring severity to serious.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Severity set to 'serious' from 'important' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 01 Jan 2011 21:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Sat, 01 Jan 2011 22:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 01 Jan 2011 22:00:03 GMT) Full text and rfc822 format available.

Message #46 received at 608201@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: daniel@debian.org, 608201@bugs.debian.org
Subject: Re: Bug#608201: grub-installer: fails on live usb-hdd images (not on any other types)
Date: Sat, 1 Jan 2011 22:56:45 +0100
[Message part 1 (text/plain, inline)]
severity 608201 important
tag 608201 moreinfo
kthxbye

On Sat, Jan  1, 2011 at 22:20:39 +0100, Daniel Baumann wrote:

> severity 608201 serious
> thanks
> 
> Miguel Figueiredo <elmig@debianpt.org> wrote:
> > adjusting severity to important as doesn't render the package unusable
> > to everyone.
> 
> right, but it breaks live usb-hdd images *completely* and renders them
> both useless and unreleasable. restoring severity to serious.
> 
So either send a patch to fix this (likely not against grub-installer,
since that doesn't seem to be the issue), or don't release these images.
Not a blocker for squeeze either way.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'serious' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 01 Jan 2011 22:00:04 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 01 Jan 2011 22:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Sat, 01 Jan 2011 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 01 Jan 2011 22:09:03 GMT) Full text and rfc822 format available.

Message #55 received at 608201@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 608201@bugs.debian.org
Subject: Re: Bug#608201: grub-installer: fails on live usb-hdd images (not on any other types)
Date: Sat, 01 Jan 2011 23:04:44 +0100
On 01/01/2011 10:56 PM, Julien Cristau wrote:
> So either send a patch to fix this (likely not against grub-installer,
> since that doesn't seem to be the issue), or don't release these images.
> Not a blocker for squeeze either way.

if i would have time to fix it, i would do it.

unrelated to that, one would think that it's the maintainers job to fix
bugs. but apparently, when it comes to me, it's always my job to do
everything, regardless what it is about, sigh. so, as you concluded, not
releasing usb images then, thank you for your contribution.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Sat, 01 Jan 2011 22:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 01 Jan 2011 22:12:06 GMT) Full text and rfc822 format available.

Message #60 received at 608201@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Daniel Baumann <daniel@debian.org>
Cc: 608201@bugs.debian.org
Subject: Re: Bug#608201: grub-installer: fails on live usb-hdd images (not on any other types)
Date: Sat, 1 Jan 2011 23:10:19 +0100
[Message part 1 (text/plain, inline)]
On Sat, Jan  1, 2011 at 23:04:44 +0100, Daniel Baumann wrote:

> On 01/01/2011 10:56 PM, Julien Cristau wrote:
> > So either send a patch to fix this (likely not against grub-installer,
> > since that doesn't seem to be the issue), or don't release these images.
> > Not a blocker for squeeze either way.
> 
> if i would have time to fix it, i would do it.
> 
> unrelated to that, one would think that it's the maintainers job to fix
> bugs. but apparently, when it comes to me, it's always my job to do
> everything, regardless what it is about, sigh. so, as you concluded, not
> releasing usb images then, thank you for your contribution.
> 
Oh, it doesn't have to be you.  If somebody else wants to investigate
this issue then more power to them.  I just don't want to block the
release on it.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Sat, 01 Jan 2011 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 01 Jan 2011 22:21:03 GMT) Full text and rfc822 format available.

Message #65 received at 608201@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 608201@bugs.debian.org
Subject: Re: Bug#608201: grub-installer: fails on live usb-hdd images (not on any other types)
Date: Sat, 01 Jan 2011 23:17:02 +0100
On 01/01/2011 11:10 PM, Julien Cristau wrote:
> I just don't want to block the release on it.

not having usb-hdd images anymore is a regression and you don't consider
that a blocker for the release? good to know that the release team
doesn't give a shit about live images.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Sat, 01 Jan 2011 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 01 Jan 2011 22:24:03 GMT) Full text and rfc822 format available.

Message #70 received at 608201@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Daniel Baumann <daniel@debian.org>
Cc: 608201@bugs.debian.org
Subject: Re: Bug#608201: grub-installer: fails on live usb-hdd images (not on any other types)
Date: Sat, 1 Jan 2011 23:21:21 +0100
[Message part 1 (text/plain, inline)]
On Sat, Jan  1, 2011 at 23:17:02 +0100, Daniel Baumann wrote:

> On 01/01/2011 11:10 PM, Julien Cristau wrote:
> > I just don't want to block the release on it.
> 
> not having usb-hdd images anymore is a regression and you don't consider
> that a blocker for the release? good to know that the release team
> doesn't give a shit about live images.
> 
Installing from live images was not possible before, so that doesn't
sound like a regression to me.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Mon, 03 Jan 2011 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Zabalza <jlz.3008@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 03 Jan 2011 14:18:03 GMT) Full text and rfc822 format available.

Message #75 received at 608201@bugs.debian.org (full text, mbox):

From: Jose Luis Zabalza <jlz.3008@gmail.com>
To: 608201@bugs.debian.org
Subject: Install with network solve the problem.
Date: Mon, 3 Jan 2011 15:14:58 +0100
[Message part 1 (text/plain, inline)]
Just on http://lists.debian.org/debian-live/2011/01/msg00023.html

joseangon say a possible cause for this bug. If installer configure the
network, the installation is OK. In my case, all the test were performed
without network. If I setup the local network, with the same usb-stick, the
installation is OK.

So it seems that the problem may be because apt does not know where to get
packages grub if the network is not configure.

Bye
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Mon, 03 Jan 2011 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Zabalza <jlz.3008@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 03 Jan 2011 15:21:03 GMT) Full text and rfc822 format available.

Message #80 received at 608201@bugs.debian.org (full text, mbox):

From: Jose Luis Zabalza <jlz.3008@gmail.com>
To: 608201@bugs.debian.org
Subject: /target/etc/apt/sources.list incorrect when network is not configured
Date: Mon, 3 Jan 2011 16:16:41 +0100
[Message part 1 (text/plain, inline)]
This is the sources.list on target when I install without configuring the
network at the moment of grub fail.

If I uncomment the squeeze line  and retry, grub-pc is found and
installation is OK.

==================<cut>=====================
#

# deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official Snapshot i386
LIVE/NETINST Binary 20110103-10:39]/ frozen main
# deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official Snapshot i386
LIVE/NETINST Binary 20110103-10:39]/ squeeze main
# deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official Snapshot i386
LIVE/NETINST Binary 20110103-10:39]/ stable main
# deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official Snapshot i386
LIVE/NETINST Binary 20110103-10:39]/ testing main
# deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official Snapshot i386
LIVE/NETINST Binary 20110103-10:39]/ unstable main

# Line commented out by installer because it failed to verify:
#deb http://security.debian.org/ squeeze/updates main
# Line commented out by installer because it failed to verify:
#deb-src http://security.debian.org/ squeeze/updates main
==================<cut>=====================

So, it seems that the problem is when sources.list is generated.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Mon, 03 Jan 2011 18:48:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Zabalza <jlz.3008@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 03 Jan 2011 18:48:17 GMT) Full text and rfc822 format available.

Message #85 received at 608201@bugs.debian.org (full text, mbox):

From: Jose Luis Zabalza <jlz.3008@gmail.com>
To: 608201@bugs.debian.org
Subject: More info
Date: Mon, 3 Jan 2011 19:46:18 +0100
I was monitoring /target/apt/sources.list and it changes (the lines
are commented) between this points of installation.

I guest that the sources.list file is writen incorrectly (the lines
are commented) by a script executed on this section.

pciutils package is on pool directory.

======================<cut>=====================================
Dec 31 11:17:08 in-target: The following extra packages will be installed:
Dec 31 11:17:08 in-target:   libuuid-perl linux-base linux-image-2.6.32-5-486
Dec 31 11:17:08 in-target: Suggested packages:
Dec 31 11:17:08 in-target:   linux-doc-2.6.32 grub lilo
Dec 31 11:17:08 in-target: Recommended packages:
Dec 31 11:17:08 in-target:   firmware-linux-free
Dec 31 11:17:08 in-target: The following NEW packages will be installed:
Dec 31 11:17:08 in-target:   libuuid-perl linux-base
linux-image-2.6-486 linux-image-2.6.32-5-486
Dec 31 11:17:17 in-target: locale:
Dec 31 11:17:17 in-target: Cannot set LC_CTYPE to default locale
Dec 31 11:17:17 in-target: : No such file or directory
Dec 31 11:17:17 in-target:
Dec 31 11:17:17 in-target: locale:
Dec 31 11:17:17 in-target: Cannot set LC_MESSAGES to default locale
Dec 31 11:17:17 in-target: : No such file or directory
Dec 31 11:17:17 in-target:
Dec 31 11:17:17 in-target: locale:
Dec 31 11:17:17 in-target: Cannot set LC_ALL to default locale
Dec 31 11:17:17 in-target: : No such file or directory
Dec 31 11:17:17 in-target:
Dec 31 11:17:17 in-target: Preconfiguring packages ...
Dec 31 11:17:19 in-target: 0 upgraded, 4 newly installed, 0 to remove
and 0 not upgraded.
Dec 31 11:17:19 in-target: Need to get 0 B/27.4 MB of archives.
Dec 31 11:17:19 in-target: After this operation, 79.2 MB of additional
disk space will be used.
Dec 31 11:17:19 in-target: Selecting previously deselected package libuuid-perl.
Dec 31 11:17:19 in-target: (Reading database ...
Dec 31 11:17:19 in-target: 9539 files and directories currently installed.)
Dec 31 11:17:19 in-target: Unpacking libuuid-perl (from
.../libuuid-perl_0.02-4_i386.deb) ...
Dec 31 11:17:20 in-target: Selecting previously deselected package linux-base.
Dec 31 11:17:20 in-target: Unpacking linux-base (from
.../linux-base_2.6.32-29_all.deb) ...
Dec 31 11:17:21 in-target: Selecting previously deselected package
linux-image-2.6.32-5-486.
Dec 31 11:17:21 in-target: Unpacking linux-image-2.6.32-5-486 (from
.../linux-image-2.6.32-5-486_2.6.32-29_i386.deb) ...
Dec 31 11:17:22 in-target: locale:
Dec 31 11:17:22 in-target: Cannot set LC_CTYPE to default locale
Dec 31 11:17:22 in-target: : No such file or directory
Dec 31 11:17:22 in-target:
Dec 31 11:17:22 in-target: locale:
Dec 31 11:17:22 in-target: Cannot set LC_MESSAGES to default locale
Dec 31 11:17:22 in-target: : No such file or directory
Dec 31 11:17:22 in-target:
Dec 31 11:17:22 in-target: locale:
Dec 31 11:17:22 in-target: Cannot set LC_ALL to default locale
Dec 31 11:17:22 in-target: : No such file or directory
Dec 31 11:17:22 in-target:
Dec 31 11:17:42 in-target: Selecting previously deselected package
linux-image-2.6-486.
Dec 31 11:17:42 in-target: Unpacking linux-image-2.6-486 (from
.../linux-image-2.6-486_2.6.32+28_i386.deb) ...
Dec 31 11:17:47 in-target: Processing triggers for man-db ...
Dec 31 11:17:47 in-target: locale:
Dec 31 11:17:47 in-target: Cannot set LC_CTYPE to default locale
Dec 31 11:17:47 in-target: : No such file or directory
Dec 31 11:17:47 in-target:
Dec 31 11:17:47 in-target: locale:
Dec 31 11:17:47 in-target: Cannot set LC_MESSAGES to default locale
Dec 31 11:17:47 in-target: : No such file or directory
Dec 31 11:17:47 in-target:
Dec 31 11:17:47 in-target: locale:
Dec 31 11:17:47 in-target: Cannot set LC_ALL to default locale
Dec 31 11:17:47 in-target: : No such file or directory
Dec 31 11:17:47 in-target:
Dec 31 11:17:49 in-target: Setting up libuuid-perl (0.02-4) ...
Dec 31 11:17:50 in-target: Setting up linux-base (2.6.32-29) ...
Dec 31 11:17:50 in-target: locale:
Dec 31 11:17:50 in-target: Cannot set LC_CTYPE to default locale
Dec 31 11:17:50 in-target: : No such file or directory
Dec 31 11:17:50 in-target:
Dec 31 11:17:50 in-target: locale:
Dec 31 11:17:50 in-target: Cannot set LC_MESSAGES to default locale
Dec 31 11:17:50 in-target: : No such file or directory
Dec 31 11:17:50 in-target:
Dec 31 11:17:50 in-target: locale:
Dec 31 11:17:50 in-target: Cannot set LC_ALL to default locale
Dec 31 11:17:50 in-target: : No such file or directory
Dec 31 11:17:50 in-target:
Dec 31 11:17:52 in-target: Setting up linux-image-2.6.32-5-486 (2.6.32-29) ...
Dec 31 11:17:53 in-target: locale:
Dec 31 11:17:53 in-target: Cannot set LC_CTYPE to default locale
Dec 31 11:17:53 in-target: : No such file or directory
Dec 31 11:17:53 in-target:
Dec 31 11:17:53 in-target: locale:
Dec 31 11:17:53 in-target: Cannot set LC_MESSAGES to default locale
Dec 31 11:17:53 in-target: : No such file or directory
Dec 31 11:17:53 in-target:
Dec 31 11:17:53 in-target: locale:
Dec 31 11:17:53 in-target: Cannot set LC_ALL to default locale
Dec 31 11:17:53 in-target: : No such file or directory
Dec 31 11:17:53 in-target:
Dec 31 11:17:54 in-target: Running depmod.
Dec 31 11:17:58 in-target: Running update-initramfs.
Dec 31 11:17:58 in-target: update-initramfs: Generating
/boot/initrd.img-2.6.32-5-486
Dec 31 11:18:35 in-target: Examining /etc/kernel/postinst.d.
Dec 31 11:18:35 in-target: run-parts: executing
/etc/kernel/postinst.d/initramfs-tools
Dec 31 11:18:35 in-target:  2.6.32-5-486
Dec 31 11:18:35 in-target:  /boot/vmlinuz-2.6.32-5-486
Dec 31 11:18:35 in-target:
Dec 31 11:18:36 in-target: Setting up linux-image-2.6-486 (2.6.32+28) ...
Dec 31 11:18:36 base-installer: info: Installing queued packages into /target/.
Dec 31 11:18:37 in-target: locale:
Dec 31 11:18:37 in-target: Cannot set LC_CTYPE to default locale
Dec 31 11:18:37 in-target: : No such file or directory
Dec 31 11:18:37 in-target:
Dec 31 11:18:37 in-target: locale:
Dec 31 11:18:37 in-target: Cannot set LC_MESSAGES to default locale
Dec 31 11:18:37 in-target: : No such file or directory
Dec 31 11:18:37 in-target:
Dec 31 11:18:37 in-target: locale:
Dec 31 11:18:37 in-target: Cannot set LC_ALL to default locale
Dec 31 11:18:37 in-target: : No such file or directory
Dec 31 11:18:37 in-target:
Dec 31 11:18:38 in-target: Reading package lists...
Dec 31 11:18:38 in-target:
Dec 31 11:18:38 in-target: Building dependency tree...
Dec 31 11:18:38 in-target:
Dec 31 11:18:38 in-target: Reading state information...
Dec 31 11:18:38 in-target:
Dec 31 11:18:38 in-target: udev is already the newest version.
Dec 31 11:18:38 in-target: 0 upgraded, 0 newly installed, 0 to remove
and 0 not upgraded.
Dec 31 11:18:39 in-target: locale:
Dec 31 11:18:39 in-target: Cannot set LC_CTYPE to default locale
Dec 31 11:18:39 in-target: : No such file or directory
Dec 31 11:18:39 in-target:
Dec 31 11:18:39 in-target: locale:
Dec 31 11:18:39 in-target: Cannot set LC_MESSAGES to default locale
Dec 31 11:18:39 in-target: : No such file or directory
Dec 31 11:18:39 in-target:
Dec 31 11:18:39 in-target: locale:
Dec 31 11:18:39 in-target: Cannot set LC_ALL to default locale
Dec 31 11:18:39 in-target: : No such file or directory
Dec 31 11:18:39 in-target:
Dec 31 11:18:40 in-target: Reading package lists...
Dec 31 11:18:40 in-target:
Dec 31 11:18:40 in-target: Building dependency tree...
Dec 31 11:18:40 in-target:
Dec 31 11:18:40 in-target: Reading state information...
Dec 31 11:18:40 in-target:
Dec 31 11:18:40 in-target: E
Dec 31 11:18:40 in-target: :
Dec 31 11:18:40 in-target: Package 'pciutils' has no installation candidate
======================<end cut>=====================================


Bye.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Mon, 03 Jan 2011 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 03 Jan 2011 19:18:03 GMT) Full text and rfc822 format available.

Message #90 received at 608201@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Jose Luis Zabalza <jlz.3008@gmail.com>, 608201@bugs.debian.org
Subject: Re: Bug#608201: Install with network solve the problem.
Date: Mon, 3 Jan 2011 15:14:33 -0400
[Message part 1 (text/plain, inline)]
Jose Luis Zabalza wrote:
> 
> Just on http://lists.debian.org/debian-live/2011/01/msg00023.html
> 
> joseangon say a possible cause for this bug. If installer configure the
> network, the installation is OK. In my case, all the test were performed
> without network. If I setup the local network, with the same usb-stick, the
> installation is OK.
> 
> So it seems that the problem may be because apt does not know where to get 
> packages grub if the network is not configure.

Then it would seem likely that the apt repository on the disk image
is missing grub and maybe other packages that d-i can need to install.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Mon, 03 Jan 2011 20:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseangon <joseangon47@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 03 Jan 2011 20:33:05 GMT) Full text and rfc822 format available.

Message #95 received at 608201@bugs.debian.org (full text, mbox):

From: joseangon <joseangon47@gmail.com>
To: 608201@bugs.debian.org
Subject: Re: Bug#608201: Install with network solve the problem.
Date: Mon, 3 Jan 2011 21:28:27 +0100
[Message part 1 (text/plain, inline)]
Hello.

There is a script debian-installer-trunk/packages/apt-setup/generators

is this 01setup:

# add old file as comments
sed 's/^/# /' < $ROOT/etc/apt/sources.list | sed 's/^# # */# /' > $file


Obviously going to comment everything in sources.list regardless of whether a
network is configured or not.

This is correct?


Greetings.

-- 
José A. González

Siempre GNU Linux.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Mon, 03 Jan 2011 22:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 03 Jan 2011 22:24:05 GMT) Full text and rfc822 format available.

Message #100 received at 608201@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 608201@bugs.debian.org
Subject: Re: Bug#608201: Install with network solve the problem.
Date: Mon, 03 Jan 2011 22:20:52 +0000
reassign to apt-setup as no generator is adding live cds as apt source?

-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Tue, 04 Jan 2011 15:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Zabalza <jlz.3008@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 04 Jan 2011 15:27:13 GMT) Full text and rfc822 format available.

Message #105 received at 608201@bugs.debian.org (full text, mbox):

From: Jose Luis Zabalza <jlz.3008@gmail.com>
To: 608201@bugs.debian.org
Subject: apt-setup problem
Date: Tue, 4 Jan 2011 16:26:47 +0100
Yes. I guess the problem is in apt-setup package.

I install with expert mode and fails in Configure the Package Manager step.

I think there is any generator script that handles the hd-media media.

The 40cdrom script begins OK but after check iso system and out gracefully.

=============== <cut> ========================
file="$1"

if [ ! -e /cdrom/.disk/base_installable ]; then
	exit 0
fi

cd_mountable=1
db_get cdrom-detect/hybrid || true
if [ "$RET" = true ] || [ -d /hd-media ]; then
	cd_mountable=""
fi

fs=iso9660
if db_get cdrom-detect/cdrom_fs && [ "$RET" ]; then
	fs="$RET"
fi

if [ "$fs" != iso9660 ]; then
	exit 0
fi
=============== <end cut> ========================

$fs as a "vfat" value and out without modify sources.list file

Appears to be an old problem

=============== <cut> ========================
apt-setup (1:0.36) unstable; urgency=low

  * Don't scan the installation CD if it does not include base packages.
  * Because of reported issues with accessing the CD in the /target environment
    if it is already mounted in the D-I environment, base-installer has been
    reverted to loop-mounting the installation CD. In order to still allow
    CD-changing while avoiding these issues and keeping installs idempotent, we
    now need to allow apt-cdrom to manage mounting/unmounting for all types of
    CD images (except for hd-media installs). See: #474346, #475639.
    Requires: base-installer (>= 1.90), pkgsel (>= 0.19), di-utils (>= 1.57).

=============== <end cut> ========================

Bye




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Tue, 04 Jan 2011 16:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseangon <joseangon47@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 04 Jan 2011 16:54:03 GMT) Full text and rfc822 format available.

Message #110 received at 608201@bugs.debian.org (full text, mbox):

From: joseangon <joseangon47@gmail.com>
To: 608201@bugs.debian.org
Subject: Re: Bug#608201: Install with network solve the problem.
Date: Tue, 4 Jan 2011 17:51:04 +0100
[Message part 1 (text/plain, inline)]
Hello.

I think not only comment the line that refers to the version of the
hd-media would
be enough to make everything right.

Attached an example.

You correct me.

Thanks!


Greetings.

-- 
José A. González

Siempre GNU Linux.
[Message part 2 (text/html, inline)]
[diff-01setup (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Wed, 05 Jan 2011 15:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseangon <joseangon47@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 05 Jan 2011 15:15:09 GMT) Full text and rfc822 format available.

Message #115 received at 608201@bugs.debian.org (full text, mbox):

From: joseangon <joseangon47@gmail.com>
To: 608201@bugs.debian.org
Subject: Re: Bug#608201: Install with network solve the problem.
Date: Wed, 5 Jan 2011 16:10:43 +0100
[Message part 1 (text/plain, inline)]
Hello.

Sorry for my English, I need translators.

I've been checking the installation process and I still think the problem is
in those lines commented in the sources.list.

How does that process underlying the related scripts to make those comments
in that file, do not know.

But we need this process to work because not only is Daniel who build their
lives, but for example we in Musix, have taken great interest in having a
live hd-media with which you can access all these processes which gives us
(live, installer, persistent).

We need to be tested at all times. And now we have suffered a break later it
will come about.

So please, if you can help us resolve this problem so we can continue with
what we already proposed.

We are very grateful for your work !

And for that matter, to see if they can get the hibrid-iso so you can be
persistent in a usb-stick, je je.


Thanks !!!



Greetings.



-- 
José A. González

Siempre GNU Linux.
[Message part 2 (text/html, inline)]

Bug reassigned from package 'grub-installer' to 'partman-target'. Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Wed, 05 Jan 2011 18:33:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'partman-target' to 'grub-installer'. Request was from Denis Laxalde <dlaxalde@gmail.com> to control@bugs.debian.org. (Wed, 05 Jan 2011 21:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Fri, 07 Jan 2011 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseangon <joseangon47@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 07 Jan 2011 17:27:03 GMT) Full text and rfc822 format available.

Message #124 received at 608201@bugs.debian.org (full text, mbox):

From: joseangon <joseangon47@gmail.com>
To: 608201@bugs.debian.org
Subject: Re: Bug#608201: Install with network solve the problem.
Date: Fri, 7 Jan 2011 18:23:41 +0100
[Message part 1 (text/plain, inline)]
Hello.

I acted manually on target in chroot and apply:

apt-cdrom add /media/cdrom

And it works right. The instalations finish right.

I think the library.sh and apt-setup-verify does not act in harmony.


Greetings.


-- 
José A. González

Siempre GNU Linux-libre.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Fri, 07 Jan 2011 22:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseangon <joseangon47@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 07 Jan 2011 22:45:02 GMT) Full text and rfc822 format available.

Message #129 received at 608201@bugs.debian.org (full text, mbox):

From: joseangon <joseangon47@gmail.com>
To: 608201@bugs.debian.org
Subject: Re: Bug#608201: Install with network solve the problem.
Date: Fri, 7 Jan 2011 23:41:00 +0100
[Message part 1 (text/plain, inline)]
Hello.

Well, I acted on target with:

apt-cdrom add

and I failed. But if I put:

apt-cdrom add /media/cdrom

works right all the installation process.

I changed this line in library.sh and installation has occurred without
problems:


        if ! log-output -t base-installer \
             chroot /target apt-cdrom add </dev/null; then
            error "error while running apt-cdrom"
        fi
    else



        if ! log-output -t base-installer \
             chroot /target apt-cdrom add /media/cdrom </dev/null; then
            error "error while running apt-cdrom"
        fi
    else


I solved the problem with apt-cdrom indicating the path of the medium.



Greetings.


-- 
José A. González

Siempre GNU Linux-libre.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Sun, 09 Jan 2011 20:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseangon <joseangon47@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 09 Jan 2011 20:54:02 GMT) Full text and rfc822 format available.

Message #134 received at 608201@bugs.debian.org (full text, mbox):

From: joseangon <joseangon47@gmail.com>
To: 608201@bugs.debian.org
Subject: Bug#608201: Install with network solve the problem.
Date: Sun, 9 Jan 2011 21:47:07 +0100
[Message part 1 (text/plain, inline)]
Hello.

I'm sorry but I'm doing tests and everything leads me to the script 01setup.

When I got it to work the apt-cdrom add, was omitted returning to format the
target partition and do the installation again.

When I tried to edit from the beginning the library.sh the problem has
persisted.

Now I have changed since the beginning, the line of 01setup:

sed 's/^/# /' < $ROOT/etc/apt/sources.list | sed 's/^# # */# /' > $file

by:

cp $ROOT/etc/apt/sources.list > $file

And everything goes right, I say now from the beginning.

I think that file, it acts at the wrong time.



Greetings.



-- 
José A. González

Siempre GNU Linux-libre.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Sun, 09 Jan 2011 21:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseangon <joseangon47@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 09 Jan 2011 21:21:09 GMT) Full text and rfc822 format available.

Message #139 received at 608201@bugs.debian.org (full text, mbox):

From: joseangon <joseangon47@gmail.com>
To: 608201@bugs.debian.org
Subject: Re: Bug#608201: Install with network solve the problem.
Date: Sun, 9 Jan 2011 22:15:41 +0100
[Message part 1 (text/plain, inline)]
2011/1/9 joseangon <joseangon47@gmail.com>

> Hello.
>
> I'm sorry but I'm doing tests and everything leads me to the script
> 01setup.
>
> When I got it to work the apt-cdrom add, was omitted returning to format
> the target partition and do the installation again.
>
> When I tried to edit from the beginning the library.sh the problem has
> persisted.
>
> Now I have changed since the beginning, the line of 01setup:
>
> sed 's/^/# /' < $ROOT/etc/apt/sources.list | sed 's/^# # */# /' > $file
>
> by:
>
> cp $ROOT/etc/apt/sources.list > $file
>


sorry:

cp $ROOT/etc/apt/sources.list $file




>
> And everything goes right, I say now from the beginning.
>
> I think that file, it acts at the wrong time.
>
>
>
> Greetings.
>
>
>
> --
> José A. González
>
> Siempre GNU Linux-libre.
>



-- 
José A. González

Siempre GNU Linux-libre.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Sun, 09 Jan 2011 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 09 Jan 2011 21:39:03 GMT) Full text and rfc822 format available.

Message #144 received at 608201@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: joseangon <joseangon47@gmail.com>, 608201@bugs.debian.org
Subject: Re: Bug#608201: Install with network solve the problem.
Date: Sun, 09 Jan 2011 21:35:02 +0000
Hi,

Dom, 2011-01-09 às 22:15 +0100, joseangon escreveu:
> 
> 
> 2011/1/9 joseangon <joseangon47@gmail.com>
>         Hello.
>         
>         I'm sorry but I'm doing tests and everything leads me to the
>         script 01setup.
>         
>         When I got it to work the apt-cdrom add, was omitted returning
>         to format the target partition and do the installation again.
>         
>         When I tried to edit from the beginning the library.sh the
>         problem has persisted.
>         
>         Now I have changed since the beginning, the line of 01setup:
>         
>         sed 's/^/# /' < $ROOT/etc/apt/sources.list | sed 's/^# #
>         */# /' > $file

afaiu the first generator (01setup) is the starting point, and that line
comments existing sources.list as it is 'old stuff'. Then each of the
generators runs and generate a sources.list according the package source
such as a netinst cd, a cd set or network mirror.
I suspect for a single cd the generator that creates the sources.list
should be 40cdrom.

[...]

-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Mon, 10 Jan 2011 04:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Zabalza <jlz.3008@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 10 Jan 2011 04:33:03 GMT) Full text and rfc822 format available.

Message #149 received at 608201@bugs.debian.org (full text, mbox):

From: Jose Luis Zabalza <jlz.3008@gmail.com>
To: Miguel Figueiredo <elmig@debianpt.org>, 608201@bugs.debian.org
Subject: Re: Bug#608201: Install with network solve the problem.
Date: Mon, 10 Jan 2011 05:30:47 +0100
Hi

2011/1/9 Miguel Figueiredo <elmig@debianpt.org>:
>
> afaiu the first generator (01setup) is the starting point, and that line
> comments existing sources.list as it is 'old stuff'. Then each of the
> generators runs and generate a sources.list according the package source
> such as a netinst cd, a cd set or network mirror.
> I suspect for a single cd the generator that creates the sources.list
> should be 40cdrom.
>

Yes. But 40cdrom don't run succesfull if media is hd-media because
it's hopes a iso filesystem and in our case is vfat.

Bye

-- 
José Luis Zabalza
jlz.3008  a t  gmail.com
Linux Counter 172551




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Wed, 12 Jan 2011 09:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Zabalza <jlz.3008@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 12 Jan 2011 09:03:07 GMT) Full text and rfc822 format available.

Message #154 received at 608201@bugs.debian.org (full text, mbox):

From: Jose Luis Zabalza <jlz.3008@gmail.com>
To: 608201@bugs.debian.org
Cc: Daniel Baumann <daniel@debian.org>, Miguel Figueiredo <elmig@debianpt.org>, joseangon <joseangon47@gmail.com>
Subject: Patch
Date: Wed, 12 Jan 2011 10:02:11 +0100
[Message part 1 (text/plain, inline)]
Please, acept this path to apt-setup package to fix this bug.

Bye
[40cdrom.usb.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Wed, 12 Jan 2011 14:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseangon <joseangon47@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 12 Jan 2011 14:21:06 GMT) Full text and rfc822 format available.

Message #159 received at 608201@bugs.debian.org (full text, mbox):

From: joseangon <joseangon47@gmail.com>
To: Jose Luis Zabalza <jlz.3008@gmail.com>
Cc: 608201@bugs.debian.org, Daniel Baumann <daniel@debian.org>, Miguel Figueiredo <elmig@debianpt.org>
Subject: Re: Patch
Date: Wed, 12 Jan 2011 15:16:41 +0100
[Message part 1 (text/plain, inline)]
2011/1/12 Jose Luis Zabalza <jlz.3008@gmail.com>

> Please, acept this path to apt-setup package to fix this bug.
>
> Bye
>


Hola.

Tested with debian-live-squeeze-i386-standard.img without Internet.

All right.

Then try it with the hybrid.


Saludos.



-- 
José A. González

Siempre GNU Linux-libre.
[Message part 2 (text/html, inline)]
[syslog (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Wed, 12 Jan 2011 16:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseangon <joseangon47@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 12 Jan 2011 16:51:04 GMT) Full text and rfc822 format available.

Message #164 received at 608201@bugs.debian.org (full text, mbox):

From: joseangon <joseangon47@gmail.com>
To: Jose Luis Zabalza <jlz.3008@gmail.com>
Cc: 608201@bugs.debian.org, Daniel Baumann <daniel@debian.org>, Miguel Figueiredo <elmig@debianpt.org>
Subject: Re: Patch. Syslog.
Date: Wed, 12 Jan 2011 17:38:08 +0100
[Message part 1 (text/plain, inline)]
Hola.

Now tested with the hybrid:

debian-live-squeeze-i386-standard.iso

With the same conditions, without Internet, GUI Install. Same result, OK.


Saludos.


PD: gmail will not let me send tar.gz


-- 
José A. González

Siempre GNU Linux-libre.
[Message part 2 (text/html, inline)]
[syslog.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Wed, 12 Jan 2011 22:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 12 Jan 2011 22:06:06 GMT) Full text and rfc822 format available.

Message #169 received at 608201@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: joseangon <joseangon47@gmail.com>, 608201@bugs.debian.org
Cc: Jose Luis Zabalza <jlz.3008@gmail.com>, Daniel Baumann <daniel@debian.org>, Miguel Figueiredo <elmig@debianpt.org>
Subject: Re: Bug#608201: Patch
Date: Wed, 12 Jan 2011 20:04:08 -0200
On Wed, Jan 12, 2011 at 12:16, joseangon <joseangon47@gmail.com> wrote:
> Then try it with the hybrid.

That's the point.

It seems it just needs set

cdrom-detect/hybrid as true by preseeding and let it go.

Does it work?

-- 
Otavio Salvador                             O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854              http://projetos.ossystems.com.br




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Thu, 13 Jan 2011 05:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Zabalza <jlz.3008@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 13 Jan 2011 05:15:03 GMT) Full text and rfc822 format available.

Message #174 received at 608201@bugs.debian.org (full text, mbox):

From: Jose Luis Zabalza <jlz.3008@gmail.com>
To: Otavio Salvador <otavio@ossystems.com.br>
Cc: joseangon <joseangon47@gmail.com>, 608201@bugs.debian.org, Daniel Baumann <daniel@debian.org>, Miguel Figueiredo <elmig@debianpt.org>
Subject: Re: Bug#608201: Patch
Date: Thu, 13 Jan 2011 06:11:20 +0100
2011/1/12 Otavio Salvador <otavio@ossystems.com.br>:
> On Wed, Jan 12, 2011 at 12:16, joseangon <joseangon47@gmail.com> wrote:
>> Then try it with the hybrid.
>
> That's the point.
>
> It seems it just needs set
>
> cdrom-detect/hybrid as true by preseeding and let it go.
>
> Does it work?

Yes. I guest it work but, when you build a live with

            lb config -a i386 -b usb-hdd -d squeeze

preseed say  cdrom-detect/hybrid=false because it is not a hybrid
image, but I don't know what is the way to detect that we are
installig a usb-hdd image or a hybrid image and modify the 40cdrom
script. The difference is the filesystem, but I don't sure of this
either.

bye.

-- 
José Luis Zabalza
jlz.3008  a t  gmail.com
Linux Counter 172551




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Thu, 13 Jan 2011 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 13 Jan 2011 10:57:03 GMT) Full text and rfc822 format available.

Message #179 received at 608201@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: Jose Luis Zabalza <jlz.3008@gmail.com>
Cc: joseangon <joseangon47@gmail.com>, 608201@bugs.debian.org, Daniel Baumann <daniel@debian.org>, Miguel Figueiredo <elmig@debianpt.org>
Subject: Re: Bug#608201: Patch
Date: Thu, 13 Jan 2011 08:54:33 -0200
On Thu, Jan 13, 2011 at 03:11, Jose Luis Zabalza <jlz.3008@gmail.com> wrote:
> Yes. I guest it work but, when you build a live with
>
>            lb config -a i386 -b usb-hdd -d squeeze
>
> preseed say  cdrom-detect/hybrid=false because it is not a hybrid
> image, but I don't know what is the way to detect that we are
> installig a usb-hdd image or a hybrid image and modify the 40cdrom
> script. The difference is the filesystem, but I don't sure of this
> either.

If this is the case, the right place to fix it is on live-build. Not d-i.

Daniel, could you give it a shot and tell us?

-- 
Otavio Salvador                             O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854              http://projetos.ossystems.com.br




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Thu, 13 Jan 2011 15:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Zabalza <jlz.3008@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 13 Jan 2011 15:06:02 GMT) Full text and rfc822 format available.

Message #184 received at 608201@bugs.debian.org (full text, mbox):

From: Jose Luis Zabalza <jlz.3008@gmail.com>
To: Otavio Salvador <otavio@ossystems.com.br>
Cc: joseangon <joseangon47@gmail.com>, 608201@bugs.debian.org, Daniel Baumann <daniel@debian.org>, Miguel Figueiredo <elmig@debianpt.org>
Subject: Re: Bug#608201: Patch
Date: Thu, 13 Jan 2011 16:03:37 +0100
2011/1/13 Otavio Salvador <otavio@ossystems.com.br>:
> On Thu, Jan 13, 2011 at 03:11, Jose Luis Zabalza <jlz.3008@gmail.com> wrote:
>> Yes. I guest it work but, when you build a live with
>>
>>            lb config -a i386 -b usb-hdd -d squeeze
>>
>> preseed say  cdrom-detect/hybrid=false because it is not a hybrid
>> image, but I don't know what is the way to detect that we are
>> installig a usb-hdd image or a hybrid image and modify the 40cdrom
>> script. The difference is the filesystem, but I don't sure of this
>> either.
>
> If this is the case, the right place to fix it is on live-build. Not d-i.
>
> Daniel, could you give it a shot and tell us?
>

Please, don't begin again. The problem is not in live-build. The
problem is in apt-setup package that not taking into account the
usb-hdd media to install.

The patch is running. What more do you want?

Bye

-- 
José Luis Zabalza
jlz.3008  a t  gmail.com
Linux Counter 172551




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Thu, 13 Jan 2011 15:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 13 Jan 2011 15:15:07 GMT) Full text and rfc822 format available.

Message #189 received at 608201@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Jose Luis Zabalza <jlz.3008@gmail.com>, 608201@bugs.debian.org
Cc: Otavio Salvador <otavio@ossystems.com.br>, joseangon <joseangon47@gmail.com>, Daniel Baumann <daniel@debian.org>, Miguel Figueiredo <elmig@debianpt.org>
Subject: Re: Bug#608201: Patch
Date: Thu, 13 Jan 2011 16:14:31 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jan 13, 2011 at 16:03:37 +0100, Jose Luis Zabalza wrote:

> 2011/1/13 Otavio Salvador <otavio@ossystems.com.br>:
> > On Thu, Jan 13, 2011 at 03:11, Jose Luis Zabalza <jlz.3008@gmail.com> wrote:
> >> Yes. I guest it work but, when you build a live with
> >>
> >>            lb config -a i386 -b usb-hdd -d squeeze
> >>
> >> preseed say  cdrom-detect/hybrid=false because it is not a hybrid
> >> image, but I don't know what is the way to detect that we are
> >> installig a usb-hdd image or a hybrid image and modify the 40cdrom
> >> script. The difference is the filesystem, but I don't sure of this
> >> either.
> >
> > If this is the case, the right place to fix it is on live-build. Not d-i.
> >
> > Daniel, could you give it a shot and tell us?
> >
> 
> Please, don't begin again. The problem is not in live-build. The
> problem is in apt-setup package that not taking into account the
> usb-hdd media to install.
> 
> The patch is running. What more do you want?
> 
An explanation of what the patch does, why it's the right thing to do,
and why it's not going to break some other use case, would be nice.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package grub-installer. (Thu, 13 Jan 2011 16:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 13 Jan 2011 16:06:02 GMT) Full text and rfc822 format available.

Message #194 received at 608201@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: Jose Luis Zabalza <jlz.3008@gmail.com>
Cc: joseangon <joseangon47@gmail.com>, 608201@bugs.debian.org, Daniel Baumann <daniel@debian.org>, Miguel Figueiredo <elmig@debianpt.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
Subject: Re: Bug#608201: Patch
Date: Thu, 13 Jan 2011 14:02:53 -0200
On Thu, Jan 13, 2011 at 13:03, Jose Luis Zabalza <jlz.3008@gmail.com> wrote:
> 2011/1/13 Otavio Salvador <otavio@ossystems.com.br>:
>> Daniel, could you give it a shot and tell us?
>>
>
> Please, don't begin again. The problem is not in live-build. The
> problem is in apt-setup package that not taking into account the
> usb-hdd media to install.

I have not began.

Sometimes the easiest fix is not the right fix but a workaround and
that's why I asked for Daniel's input on that.

I don't know if you know it but I am an old contributor of Debian Live
and I always try to fix and help the handling of Debian Live related
stuff so before complaning please stop and think twice. This avoid
losing your and other's time with useless email.

> The patch is running. What more do you want?

Personally I am not confident if the patch can or not have bad effects
in other use cases and then I asked Daniel (on this mail), Joey and
Colin's (on #debian-boot) input about that..

We won't risk installer stability if a risky patch. We're too close of release.

We are not denying the fix for the release but we need to be sure about the fix.

Cheers,

-- 
Otavio Salvador                             O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854              http://projetos.ossystems.com.br




Bug reassigned from package 'grub-installer' to 'apt-setup'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 14 Jan 2011 23:03:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'apt-setup' to 'grub-installer'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 15 Jan 2011 10:30:12 GMT) Full text and rfc822 format available.

Disconnected #608201 from all other report(s). Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 15 Jan 2011 10:36:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'grub-installer' to 'apt-setup'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 15 Jan 2011 10:36:08 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 15 Jan 2011 10:36:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package apt-setup. (Sat, 15 Jan 2011 18:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 15 Jan 2011 18:51:06 GMT) Full text and rfc822 format available.

Message #209 received at 608201@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 608201@bugs.debian.org
Subject: analysis and patches
Date: Sat, 15 Jan 2011 14:48:06 -0400
[Message part 1 (text/plain, inline)]
The bail out on !iso9660 was added in r60433, "Don't try and run
apt-cdrom for vfat "CD-ROMs"". That may have made sense at the time? Now
it seems to make more sense to treat those disks the same as hd-media,
or possibly isohybrid, are treated.

But, while looking at this, bailing out when the filesystem is not iso9660
seems to have other problems too. kFreeBSD calls the filesystem cd9660,
and so while I have not been able to check, this seems like it would
prevent apt-setup using kFreeBSD CDs too! It seems likely to me that
either nobody has tested fullsize kFreeBSD CDs yet, or nobody noticed
that d-i ignored the CD after apt-setup, and downloaded everything from
the mirror.

I've attached two patches. In cdrom-detect, I set cdrom-detect/usb-hdd
when a FAT filesystem "CD" is found. Clearly safe and apparently correct.

In apt-setup, the hardcoded iso9660 check is removed, and usb-hdd is treated
the same as hd-media and isohybrid. I am not able to test this, but the
end result should be the same as the earlier "40cdrom.usb.patch" sent
to this bug, which has been reported to work on usb-hdd. And my patch
should not be able to affect any other image type.

-- 
see shy jo
[apt-setup.patch (text/x-diff, attachment)]
[cdrom-detect.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package apt-setup. (Sat, 15 Jan 2011 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 15 Jan 2011 18:57:03 GMT) Full text and rfc822 format available.

Message #214 received at 608201@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 608201@bugs.debian.org
Subject: Re: analysis and patches
Date: Sat, 15 Jan 2011 14:53:05 -0400
[Message part 1 (text/plain, inline)]
I forgot to include the changelog in the apt-setup.patch. Updated patch
attached.

-- 
see shy jo
[apt-setup.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package apt-setup. (Sat, 15 Jan 2011 23:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseangon <joseangon47@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 15 Jan 2011 23:33:06 GMT) Full text and rfc822 format available.

Message #219 received at 608201@bugs.debian.org (full text, mbox):

From: joseangon <joseangon47@gmail.com>
To: 608201@bugs.debian.org
Subject: Re: Bug#608201: Install with network solve the problem.
Date: Sun, 16 Jan 2011 00:28:22 +0100
[Message part 1 (text/plain, inline)]
Hola.

I had to change an underscore in apt-setup.patch.

Now completely installed: http://pastebin.com/c78qvwHy

And the fstab is correct: http://pastebin.com/J3ub8L6k


Only failed acquisition firmware from other memory-usb


Saludos.



-- 
José A. González

Siempre GNU Linux-libre.
[Message part 2 (text/html, inline)]
[apt-setup-1.patch (text/x-diff, attachment)]

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Sun, 16 Jan 2011 19:03:08 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Sun, 16 Jan 2011 19:03:08 GMT) Full text and rfc822 format available.

Message #224 received at 608201-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 608201-close@bugs.debian.org
Subject: Bug#608201: fixed in apt-setup 1:0.53
Date: Sun, 16 Jan 2011 19:02:07 +0000
Source: apt-setup
Source-Version: 1:0.53

We believe that the bug you reported is fixed in the latest version of
apt-setup, which is due to be installed in the Debian FTP archive:

apt-cdrom-setup_0.53_all.udeb
  to main/a/apt-setup/apt-cdrom-setup_0.53_all.udeb
apt-mirror-setup_0.53_all.udeb
  to main/a/apt-setup/apt-mirror-setup_0.53_all.udeb
apt-setup-udeb_0.53_all.udeb
  to main/a/apt-setup/apt-setup-udeb_0.53_all.udeb
apt-setup_0.53.dsc
  to main/a/apt-setup/apt-setup_0.53.dsc
apt-setup_0.53.tar.gz
  to main/a/apt-setup/apt-setup_0.53.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 608201@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated apt-setup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 16 Jan 2011 14:49:31 -0400
Source: apt-setup
Binary: apt-setup-udeb apt-mirror-setup apt-cdrom-setup
Architecture: source all
Version: 1:0.53
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 apt-cdrom-setup - set up a CD in sources.list (udeb)
 apt-mirror-setup - set up a mirror in sources.list (udeb)
 apt-setup-udeb - Configure apt (udeb)
Closes: 608201 609334
Changes: 
 apt-setup (1:0.53) unstable; urgency=low
 .
   * Support cd_type "bluray". In particular, don't prompt at high priority
     for a mirror to be configured. Closes: #609334
   * Remove hardcoded bail out if the CD filesystem is not iso9660.
     That seems wrong both for usb-hdd media as used by debian-live,
     as well as for non-linux OSs (freebsd calls it cd9660).
   * Treat usb-hdd media the same as hd-media and isohybrid, leaving
     them mounted. Closes: #608201
     (Needs cdrom-detect 1.38)
Checksums-Sha1: 
 b8ba5f7a11ebd72b57b911dad94414e37fdc9ed5 1520 apt-setup_0.53.dsc
 db03624969fc4092381ed41efdd8b94f8c7a9c73 259365 apt-setup_0.53.tar.gz
 672567af243f4c703baa33500c2e016855620858 48646 apt-setup-udeb_0.53_all.udeb
 a22560115f0b01e8ddba55fa014a9a52c56be591 68282 apt-mirror-setup_0.53_all.udeb
 b351f2c7182f362e2050762544cae39d8d02a32f 88650 apt-cdrom-setup_0.53_all.udeb
Checksums-Sha256: 
 ba5f9c685622894cf035af0504ed1450ca48b7eaada23852b3cf15e9fd3fc6a2 1520 apt-setup_0.53.dsc
 dce3c5f080a0c29c74ee31b8592cee31906029bfe35c40a47eaeaa41e295dfd3 259365 apt-setup_0.53.tar.gz
 6c31d1272b1868c702fcde865b8054e6c10019cfd281e3f5c01fb5b50c71f275 48646 apt-setup-udeb_0.53_all.udeb
 3244b9550aa4959a850a509f9454ef12d6267275e3be5afd824cc4589715db80 68282 apt-mirror-setup_0.53_all.udeb
 438d853e0e1e1c29928d907c5f50cabfb63dcede7c4ce95b58928edc6b39b556 88650 apt-cdrom-setup_0.53_all.udeb
Files: 
 2fbde8f255d2a6377f8fbea4431392f1 1520 debian-installer extra apt-setup_0.53.dsc
 1e3a33eeecb6a7fe04f309f1d0a26872 259365 debian-installer extra apt-setup_0.53.tar.gz
 5e72af55b34ea1a49b4debdf2cf79095 48646 debian-installer standard apt-setup-udeb_0.53_all.udeb
 a5de0e12dbbe216d6f631b8822c31343 68282 debian-installer extra apt-mirror-setup_0.53_all.udeb
 e8372f9df327fe7d2c187ba77ffbbdf9 88650 debian-installer extra apt-cdrom-setup_0.53_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTTM+k8kQ2SIlEuPHAQifMw//fK1nSjrA+aRpfPjRmk5qEf8zeAf5wgDj
UiRjmGp3mmCUyDkAdJP02Ejpf65ZDD7sTMT/8cd4dAZMjy//SWVhtj/aoz5v5yHK
s/TwN9kpXeU8hxQIfX6W7hMBLdfHhou1JBFT4nTomdolfkc7iQqyyl31Q0nZh9vQ
p6rekzys4jTo4ZOnkriZPF+zENAG2ocmJlwRrdMdPafj+3AKZJuSosPJvNNIr4rl
icTCJagAImnRbA0/LGaFrNXPJVDOfQU22hlE2iYtne2BnUXZyOW7TZW/JhzIrut4
efMqUGJlnbWU8XFjhCPmgN4K+/t0uTWcH1//pgH8N/B5u6q6MiyaeTa10tVE244/
T4CAUrADtmM51INqYs6xdyZ0VBQM9+8rl0uZLnVaRXXsQL3MmMspSIrTN0IZVOQy
8xw1Q4Ukiya2C0jvMkLyKS14E/wzwsZsE2rXeY5RNBs1WEL7c0PbzMxbxPk81aaF
KN12X3CLOGOOTQgJLaFk+wq0wUHLN+8BD8jlecZS+n4oyG1CkWWrK0dDO0efc0Gk
ScXUdy3m/JTiVyY+AhjeCZ0C9PEXZywezNqf+xTq0r5ZW9ku/8d45ekCzv6/SPCs
uhHFzdXe7fdLeY4eOBedYw9DwNzJLv81Of/G5d2VrxzpgpcfqQbDjJewvIOxxJi+
CmeBCC8BYNE=
=eJVx
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package apt-setup. (Tue, 18 Jan 2011 21:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseangon <joseangon47@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 18 Jan 2011 21:45:05 GMT) Full text and rfc822 format available.

Message #229 received at 608201@bugs.debian.org (full text, mbox):

From: joseangon <joseangon47@gmail.com>
To: 608201@bugs.debian.org
Subject: Bug#608201: fixed in apt-setup 1:0.53
Date: Tue, 18 Jan 2011 22:42:12 +0100
[Message part 1 (text/plain, inline)]
Hello.

I prepare a usb-hdd with sid repos.

All right. Only a small bug in the progress bar screen as live-install.

I attached the sysog.

Thanks!


Greetings.

-- 
José A. González

Siempre GNU Linux-libre.
[Message part 2 (text/html, inline)]
[syslog.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package apt-setup. (Fri, 28 Jan 2011 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 28 Jan 2011 17:03:03 GMT) Full text and rfc822 format available.

Message #234 received at 608201@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Joey Hess <joeyh@debian.org>, 608201@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: analysis and patches
Date: Fri, 28 Jan 2011 17:58:29 +0100
user debian-bsd@lists.debian.org
usertags 608201 kfreebsd
thanks

Joey wrote:
> But, while looking at this, bailing out when the filesystem is not iso9660
> seems to have other problems too. kFreeBSD calls the filesystem cd9660,
> and so while I have not been able to check, this seems like it would
> prevent apt-setup using kFreeBSD CDs too! It seems likely to me that
> either nobody has tested fullsize kFreeBSD CDs yet, or nobody noticed
> that d-i ignored the CD after apt-setup, and downloaded everything from
> the mirror.

I can confirm that debian-squeeze-di-rc2-kfreebsd-amd64-CD-1.iso,
which includes apt-setup 1:0.53, fails to detect the CD after
debootstrap.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#608201; Package apt-setup. (Fri, 28 Jan 2011 18:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 28 Jan 2011 18:21:07 GMT) Full text and rfc822 format available.

Message #239 received at 608201@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 608201@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: analysis and patches
Date: Fri, 28 Jan 2011 14:17:44 -0400
[Message part 1 (text/plain, inline)]
Robert Millan wrote:
> user debian-bsd@lists.debian.org
> usertags 608201 kfreebsd
> thanks
> 
> Joey wrote:
> > But, while looking at this, bailing out when the filesystem is not iso9660
> > seems to have other problems too. kFreeBSD calls the filesystem cd9660,
> > and so while I have not been able to check, this seems like it would
> > prevent apt-setup using kFreeBSD CDs too! It seems likely to me that
> > either nobody has tested fullsize kFreeBSD CDs yet, or nobody noticed
> > that d-i ignored the CD after apt-setup, and downloaded everything from
> > the mirror.
> 
> I can confirm that debian-squeeze-di-rc2-kfreebsd-amd64-CD-1.iso,
> which includes apt-setup 1:0.53, fails to detect the CD after
> debootstrap.

It must be some other problem, that version of apt-setup definitly does
not hardcode the filesystem. Suggest you followup with an installation
report with a syslog etc.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Feb 2011 07:30:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:11:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.